# Module mr_master

- Description
- Data Types
- Function Index
- Function Details

Map reduce master file The master is in charge of orchestrating the single phases of the job.

Copyright © 2007-2013 Zuse Institute Berlin

Version: $Id$

Authors: Jan Fajerski (`fajerski@informatik.hu-berlin.de`).

## Description

Map reduce master file The master is in charge of orchestrating the single phases of the job.

## Data Types

### message()

    message() =
        {mr_master,
         init,
         Client :: comm:mypid(),
         mr_state:jobid(),
         JobSpec :: mr_state:job_description()} |
        {mr_master,
         mr_state:jobid(),
         snapshot,
         snapshot_leader:result_message(),
         mr_state:job_description(),
         comm:mypid()} |
        {mr_master,
         mr_state:jobid(),
         phase_completed,
         Round :: non_neg_integer(),
         Range :: intervals:interval()} |
        {mr_master,
         mr_state:jobid(),
         job_completed,
         intervals:interval()} |
        {mr_master, mr_state:jobid(), job_error, intervals:interval()}

## Function Index

dispatch_snapshot/1 |
init_job/4 |
on/2 |

## Function Details

### init_job/4

    init_job(State :: dht_node_state:state(),
             JobId :: nonempty_string(),
             Job :: mr_state:job_description(),
             Client :: comm:mypid()) ->
                dht_node_state:state()

### dispatch_snapshot/1

    dispatch_snapshot(JobId :: mr_state:jobid()) -> ok

### on/2

    on(Msg :: message(), State :: dht_node_state:state()) ->
          dht_node_state:state()

Generated by EDoc, Feb 29 2016, 16:12:20.